package cn.com.qmth.examcloud.core.oe.admin.service.bean.reexaminelog;

import cn.com.qmth.examcloud.api.PagerQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class ReexamineLogQuery extends PagerQuery {

    @ApiModelProperty("考试ID")
    private Long examId;

    @ApiModelProperty("学习中心ID")
    private Long orgId;

    @ApiModelProperty("课程ID")
    private Long courseId;

    @ApiModelProperty("学号")
    private String studentCode;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("证件号")
    private String identityNumber;

    @ApiModelProperty(value = "用于导出", hidden = true)
    private Boolean byExport;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Boolean getByExport() {
        return byExport;
    }

    public void setByExport(Boolean byExport) {
        this.byExport = byExport;
    }

}
